SDL_vivantevideo.h File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_sysvideo.h"`
`#include "SDL_egl.h"`
`#include <EGL/egl.h>`
Include dependency graph for SDL_vivantevideo.h:

Go to the source code of this file.

## Data Structures

struct | SDL_VideoData
struct | SDL_DisplayData
struct | SDL_WindowData

## Functions

int | VIVANTE_VideoInit (_THIS)
void | VIVANTE_VideoQuit (_THIS)
void | VIVANTE_GetDisplayModes (_THIS, SDL_VideoDisplay *display)
int | VIVANTE_SetDisplayMode (_THIS, SDL_VideoDisplay *display, SDL_DisplayMode *mode)
int | VIVANTE_CreateWindow (_THIS, SDL_Window *window)
void | VIVANTE_SetWindowTitle (_THIS, SDL_Window *window)
void | VIVANTE_SetWindowPosition (_THIS, SDL_Window *window)
void | VIVANTE_SetWindowSize (_THIS, SDL_Window *window)
void | VIVANTE_ShowWindow (_THIS, SDL_Window *window)
void | VIVANTE_HideWindow (_THIS, SDL_Window *window)
void | VIVANTE_DestroyWindow (_THIS, SDL_Window *window)
SDL_bool | VIVANTE_GetWindowWMInfo (_THIS, SDL_Window *window, struct SDL_SysWMinfo *info)
void | VIVANTE_PumpEvents (_THIS)

## Function Documentation

int VIVANTE_CreateWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void VIVANTE_DestroyWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void VIVANTE_GetDisplayModes | ( | _THIS | ,
|  | SDL_VideoDisplay * | display
| ) |  |

SDL_bool VIVANTE_GetWindowWMInfo | ( | _THIS | ,
|  | SDL_Window * | window,
|  | struct SDL_SysWMinfo * | info
| ) |  |

void VIVANTE_HideWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void VIVANTE_PumpEvents | ( | _THIS |  | ) |

int VIVANTE_SetDisplayMode | ( | _THIS | ,
|  | SDL_VideoDisplay * | display,
|  | SDL_DisplayMode * | mode
| ) |  |

void VIVANTE_SetWindowPosition | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void VIVANTE_SetWindowSize | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void VIVANTE_SetWindowTitle | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

void VIVANTE_ShowWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

int VIVANTE_VideoInit | ( | _THIS |  | ) |

void VIVANTE_VideoQuit | ( | _THIS |  | ) |